Package com.opensymphony.module.sitemesh.html

# Interface HTMLProcessorContext

public interface HTMLProcessorContext

## Method Summary

Modifier and Type
Method
Description
`void`
`changeState(State newState)`
`CharArray`
`currentBuffer()`
`State`
`currentState()`
`void`
`mergeBuffer()`
`CharArray`
`popBuffer()`
`void`
`pushBuffer(CharArray buffer)`

## Method Details

### currentState

State currentState()

### changeState

void changeState(State newState)

### pushBuffer

void pushBuffer(CharArray buffer)

### currentBuffer

CharArray currentBuffer()

### popBuffer

CharArray popBuffer()

### mergeBuffer

void mergeBuffer()